### Method

# CM Room load_past_events_async

#### Declaration [src]

    void
    cm_room_load_past_events_async (
      CmRoom* self,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the next batch of past events from the database. If the room wasn’t ever synced from the server, do that first. A batch is currently 30 events.

Run `cm_room_load_past_events_finish()` to get the result.

This method completes asynchronously. Use `cm_room_load_past_events_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.